public inbox for dwz@sourceware.org
 help / color / mirror / Atom feed
* [committed] Require compatible objcopy and eu-unstrip for objcopy-eu-unstrip*.sh
@ 2019-01-01  0:00 Tom de Vries
  0 siblings, 0 replies; only message in thread
From: Tom de Vries @ 2019-01-01  0:00 UTC (permalink / raw)
  To: dwz, jakub

Hi,

On a Debian 7 MIPS machine, with trunk binutils and elfutils, we have:
...
$ objcopy --only-keep-debug hello hello.debug
$ objcopy --strip-debug hello hello.stripped
$ eu-unstrip hello.stripped hello.debug -o hello.unstripped
eu-unstrip: cannot get section header: invalid section index
...

Consequently, we get:
...
eu-unstrip: cannot get section header: invalid section index
FAIL: testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh
eu-unstrip: cannot get section header: invalid section index
FAIL: testsuite/dwz.tests/objcopy-eu-unstrip.sh
...

Fix this by requiring compatible objcopy and eu-unstrip for
objcopy-eu-unstrip*.sh.

Committed to trunk.

Thanks,
- Tom

Require compatible objcopy and eu-unstrip for objcopy-eu-unstrip*.sh

2019-07-12  Tom de Vries  <tdevries@suse.de>

	* testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh: Require
	compatible objcopy and eu-unstrip.
	* testsuite/dwz.tests/objcopy-eu-unstrip.sh: Same.

---
 testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh | 5 +++++
 testsuite/dwz.tests/objcopy-eu-unstrip.sh           | 5 +++++
 2 files changed, 10 insertions(+)

diff --git a/testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh b/testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh
index 5f63c6d..f2ff170 100644
--- a/testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh
+++ b/testsuite/dwz.tests/objcopy-eu-unstrip-multifile.sh
@@ -3,6 +3,11 @@ cp ../hello 1
 objcopy --only-keep-debug 1 1.debug
 objcopy --strip-debug 1 1.stripped
 
+if ! eu-unstrip 1.stripped 1.debug -o 1.unstripped; then
+    exit 77
+fi
+rm 1.unstripped
+
 cp 1.debug 2.debug
 
 if dwz -m 3 1.debug 2.debug 2> dwz.err; status=$?; then
diff --git a/testsuite/dwz.tests/objcopy-eu-unstrip.sh b/testsuite/dwz.tests/objcopy-eu-unstrip.sh
index 460da93..abd09ba 100644
--- a/testsuite/dwz.tests/objcopy-eu-unstrip.sh
+++ b/testsuite/dwz.tests/objcopy-eu-unstrip.sh
@@ -3,6 +3,11 @@ cp ../hello 1
 objcopy --only-keep-debug 1 1.debug
 objcopy --strip-debug 1 1.stripped
 
+if ! eu-unstrip 1.stripped 1.debug -o 1.unstripped; then
+    exit 77
+fi
+rm 1.unstripped
+
 if dwz 1.debug 2> dwz.err; status=$?; then
     true
 fi

^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2019-07-12 12:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-01-01  0:00 [committed] Require compatible objcopy and eu-unstrip for objcopy-eu-unstrip*.sh Tom de Vries

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).